/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.base;

import java.util.Date;

/**
 * アイテム型情報を格納するクラス
 * 
 * @author Going Dot Com Inc.
 */
class XbItemTypeObj {

    // 型名称
	private String type_name;
	// 属性
	private String attribute_name;
	// 仕様番号
	private String specification_no;
	// 日付
	private Date   creation_date;

	protected String getAttribute_name() {
		return attribute_name;
	}

    protected void setAttribute_name(String attribute_name) {
		this.attribute_name = attribute_name;
	}

    protected Date getCreation_date() {
		return creation_date;
	}

    protected void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}

    protected String getSpecification_no() {
		return specification_no;
	}

    protected void setSpecification_no(String specification_no) {
		this.specification_no = specification_no;
	}

    protected String getType_name() {
		return type_name;
	}

    protected void setType_name(String type_name) {
		this.type_name = type_name;
	}
}